org.apache.flume.conf.channel

## Enum ChannelSelectorConfiguration.ChannelSelectorConfigurationType

- java.lang.Object
- - java.lang.Enum<ChannelSelectorConfiguration.ChannelSelectorConfigurationType>
  - - org.apache.flume.conf.channel.ChannelSelectorConfiguration.ChannelSelectorConfigurationType

- All Implemented Interfaces:
    Serializable, Comparable<ChannelSelectorConfiguration.ChannelSelectorConfigurationType>
  Enclosing class:
    ChannelSelectorConfiguration

      public static enum ChannelSelectorConfiguration.ChannelSelectorConfigurationType
      extends Enum<ChannelSelectorConfiguration.ChannelSelectorConfigurationType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `MULTIPLEXING`
    `OTHER`
    `REPLICATING`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getChannelSelectorConfigurationType()`
    `ChannelSelectorConfiguration` | `getConfiguration(String name)`
    `static ChannelSelectorConfiguration.ChannelSelectorConfigurationType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ChannelSelectorConfiguration.ChannelSelectorConfigurationType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### OTHER

          public static final ChannelSelectorConfiguration.ChannelSelectorConfigurationType OTHER

    - #### REPLICATING

          public static final ChannelSelectorConfiguration.ChannelSelectorConfigurationType REPLICATING

    - #### MULTIPLEXING

          public static final ChannelSelectorConfiguration.ChannelSelectorConfigurationType MULTIPLEXING

  - ### Method Detail

    - #### values

          public static ChannelSelectorConfiguration.ChannelSelectorConfigurationType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ChannelSelectorConfiguration.ChannelSelectorConfigurationType c : ChannelSelectorConfiguration.ChannelSelectorConfigurationType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ChannelSelectorConfiguration.ChannelSelectorConfigurationType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getChannelSelectorConfigurationType

          public String getChannelSelectorConfigurationType()

    - #### getConfiguration

          public ChannelSelectorConfiguration getConfiguration(String name)
                                                        throws ConfigurationException

      Throws:
        `ConfigurationException`

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.